> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Checkpoint

> Create a new checkpoint of the current sprite state. Returns streaming NDJSON progress.



## OpenAPI

````yaml /sprites/api/openapi.json post /v1/sprites/{name}/checkpoint
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: v0.0.1-rc48
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}/checkpoint:
    post:
      tags:
        - Checkpoints
      summary: Create Checkpoint
      description: >-
        Create a new checkpoint of the current sprite state. Returns streaming
        NDJSON progress.
      operationId: sprite_env_create__checkpoint
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCheckpointRequest'
        required: true
      responses:
        '200':
          content:
            application/x-ndjson:
              example:
                - data: Creating checkpoint...
                  time: '2026-01-05T10:30:00Z'
                  type: info
                - data: Stopping services...
                  time: '2026-01-05T10:30:00Z'
                  type: info
                - data: Saving filesystem state...
                  time: '2026-01-05T10:30:00Z'
                  type: info
                - data: Checkpoint v8 created
                  time: '2026-01-05T10:30:00Z'
                  type: complete
              schema:
                oneOf:
                  - $ref: '#/components/schemas/StreamInfoEvent'
                  - $ref: '#/components/schemas/StreamErrorEvent'
                  - $ref: '#/components/schemas/StreamCompleteEvent'
          description: Success - Streaming NDJSON response
        '404':
          description: Not Found - Resource not found
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CreateCheckpointRequest:
      example:
        comment: Before deploying v2.0
      properties:
        comment:
          type: string
      required: []
      type: object
    StreamInfoEvent:
      example:
        data: Creating checkpoint...
        time: '2026-01-05T10:30:00Z'
        type: info
      properties:
        data:
          description: Status message
          type: string
        time:
          description: Timestamp
          format: date-time
          type: string
        type:
          const: info
          type: string
      required:
        - type
        - data
        - time
      type: object
    StreamErrorEvent:
      example:
        error: 'Checkpoint failed: disk full'
        time: '2026-01-05T10:30:00Z'
        type: error
      properties:
        error:
          description: Error description
          type: string
        time:
          description: Timestamp
          format: date-time
          type: string
        type:
          const: error
          type: string
      required:
        - type
        - error
        - time
      type: object
    StreamCompleteEvent:
      example:
        data: Checkpoint v3 created successfully
        time: '2026-01-05T10:30:00Z'
        type: complete
      properties:
        data:
          description: Completion message
          type: string
        time:
          description: Timestamp
          format: date-time
          type: string
        type:
          const: complete
          type: string
      required:
        - type
        - data
        - time
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````